- Home
- API Enriched
- Tenant And Identity
- web
- Send Password Email.
Send Password Email.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/send_password_email';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/send_password_email \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "namespace": "example" }'SendPasswordEmail allows admin user to trigger send password email for a user to update user’s password. Deprecated: use ResetPasswordByAdmin RPC instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Value of namespace is always “system”
Request Bodyrequired
Section titled “Request Bodyrequired”SendPasswordEmailRequest is the request parameters for sending the password update. Note that only admin is allowed to resend the password for users.
object
Email of the user requesting for Required: YES.
Value of namespace is always “system”
Examplegenerated
{ "email": "hello@example.com", "namespace": "example"}Responses
Section titled “Responses”A successful response.
SendPasswordEmailResponse is an empty response after an email had been sent.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example